org.apache.ignite.internal.jdbc2

## Class JdbcSqlFieldsQuery

- java.lang.Object
- - org.apache.ignite.cache.query.Query<List<?>>
  - - org.apache.ignite.cache.query.SqlFieldsQuery
    - - org.apache.ignite.internal.jdbc2.JdbcSqlFieldsQuery

All Implemented Interfaces:
  Serializable

    public final class JdbcSqlFieldsQuery
    extends SqlFieldsQuery

`SqlFieldsQuery` with JDBC flavor - it has additional flag indicating whether JDBC driver expects this query to return a result set or an update counter. This class is not intended for use outside JDBC driver.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.cache.query.Query

`DFLT_PAGE_SIZE`

### Method Summary

Methods
`boolean` `isQuery()`

### Methods inherited from class org.apache.ignite.cache.query.SqlFieldsQuery

`getArgs, getSql, getTimeout, isCollocated, isDistributedJoins, isEnforceJoinOrder, setArgs, setCollocated, setDistributedJoins, setEnforceJoinOrder, setLocal, setPageSize, setSql, setTimeout, toString`

### Methods inherited from class org.apache.ignite.cache.query.Query

`getPageSize, isLocal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### isQuery

    public boolean isQuery()

Returns:
  Flag indicating whether this object denotes a query or an update operation..

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017